#!/bin/sh -x

# prod.vbz.ffzg.hr
from=10.60.0.200
vg=/dev/raid5

date=`date +%Y-%m-%d`
pool=`zpool list -o name -H`
log=/$pool/log/
exclude='--exclude var/cache --exclude var/lib/koha/zebradb/biblios --exclude data/webpac2/var/ --exclude tmp/'

test -d $log || mkdir $log || exit

rsync_veid() {
	ssh $from "umount /mnt/backup/$2 ; lvremove -f $vg/$2-backup"
	ssh $from "sync && sync && lvcreate -s -L 10G -n $2-backup $vg/$2 && mount $vg/$2-backup /mnt/backup/$2" || exit
	test -d /$pool/backup/$1 || zfs create $pool/backup/$1 || exit
	echo "## rsync $1"
	rsync $exclude -ravHz --numeric-ids --delete --force --modify-window=2 $from::mnt/backup/$2/rootfs/ /$pool/backup/$1/ && zfs snapshot $pool/backup/$1@$date
#	ssh $from "umount /mnt/backup/$2 && lvremove -f $vg/$2-backup"
}

(
zfs list -r $pool/backup
rsync_veid 212226 koha
rsync_veid 212052 koha-dev
rsync_veid 212056 webpac2
zfs list -r $pool/backup
2>&1 ) | tee -a $log/$date.log
